Paolo Subiaco - psubiaco@creasol.it
http://www.cresol.it/
Knowledge about kernel compilation and bash script development is required!
Linux installation on notebooks is not so easy as desktop computers because the relevant of certain aspects as like as power management and software suspend.
Using this document you can install Linux on your Compaq laptop enabling power management (through ACPI) and software suspend/resume; also your sound card will work, but you need to make several patch to your 2.4.18 linux kernel. Please consider that this information may be out-of-date soon, due to the fast patch available for the linux kernel!
Finally, i would thank Juliusz Chroboczek for his very useful
document about linux installing on Compaq Presario 711EA, that you
will find at the URL
http://www.pps.jussieu.fr/jch/software/presario/
image=/boot/bzImage-2.4
label=linux-resume
root=/dev/hda6
append="devfs=mount resume=/dev/hda5"
read-only
image=/boot/bzImage-2.4
label=linux-noresume
root=/dev/hda6
append="devfs=mount resume=/dev/hda5 noresume"
read-only
These are little problem involving software suspend:
warn()
{
echo "$@" >&2
}
die()
{
echo "$@" >&2
exit 1;
}
oldconsole=`fgconsole`
/etc/init.d/sound stop
/etc/init.d/network stop
ifconfig eth0 down
/sbin/hdparm -q -W 0 /dev/hda || die "Couldn't disable write cache"
#chvt 1 || die "Couldn't switch VTs"
#Change line to '1 0 2' for debugging purpose!
#echo "1 0 2" > /proc/sys/kernel/swsusp
echo "1 0 0" > /proc/sys/kernel/swsusp
sleep 10
echo "Resuming previous configuration..."
chvt $oldconsole
/sbin/hdparm -q -W 1 /dev/hda || warn "Couldn't reenable write cache"
/etc/init.d/network start
/etc/init.d/sound start
/sbin/hwclock -hctosys
Now you can invoke sudo /usr/local/bin/suspend.sh to try notebook suspend: you need about 10 seconds to suspend notebook!
To resume, just press the power button: lilo will load the kernel, then it will resume previous configuration (with all previous open applications) in about 40 seconds.
What is WindowMaker? Is a X11 window manager. Other window managers are KDE, GNOME, FVWM,TWM, SawFish, ....
Why this chapter? Because i love WindowManager, which permit me to do any configuration i want. I know that the most of you using KDE or GNOME, which are nicier and more integrated with their applications.
Although, i prefer Window Maker because it require very few memory, and i can setup for each application where the application must be opened (which desktop), how the window must be designed, which icons display in each desktop, and so on....
Using WindowMaker with a laptop, you need an application which display the current battery state, so you must install an application which monitor battery status. Which kind of application? In other window manager there exists applications and applet applied to the panel; in WindowMaker there is a solution similar to the latter, its name is ``dock''.
Docks are icons which display something and can implement several controls:
for the battery monitoring purpose i have installed wmacpi,
but you can find lot of useful and nice docks at the URL
http://www.bensinclair.com/dockapp/showstyle.php3?show=name
Very often the notebook is used to access SMB shares (i.e. windows shares) in a LAN: for this purpose i think that the best solution consist to setup linux automounter to mount/umount shares when required: this way you can access remote shares just selecting file /mnt/servername/sharename and the corrisponding share will be mounted: after 60 seconds (or similar timeout) which the mounted share is not used, the share will be automatically unmount; this way you reach a good reliability accessing remote filesystem.
How to do this?
Fist, verify to have compile automount_4 and smbfs in the kernel, then you must install the autofs package: urpmi autofs and configure several files about automounter daemon. Here is an example of configuration files, supposing to have a lan like this:
Then edit /etc/auto.master file leaving uncommented the two lines below:
/mnt/server2 /etc/auto.server2 -timeout=60
share2 -fstype=smbfs,username=paolo,password=AAA ://server1/share2
share3 -fstype=smbfs,username=sysadm,password=secretpass ://server1/share3
share1 -fstype=smbfs,username=paperino ://server1/share1
Opening this directory, if you type ls -l you will find nothing, because there are no shares mounted. Just type cd share1 and then ls -l to see the content of //server1/share1 ! If you leave this directory, after 60 seconds it will be unmounted automatically. Now enjoy the unix operating system, which permit you to see all shares/partions in one filesystem!
This document was generated using the LaTeX2HTML translator Version 2K.1beta (1.62)
Copyright © 1993, 1994, 1995, 1996,
Nikos Drakos,
Computer Based Learning Unit, University of Leeds.
Copyright © 1997, 1998, 1999,
Ross Moore,
Mathematics Department, Macquarie University, Sydney.
The command line arguments were:
latex2html -no_subdir -split 0 -show_section_numbers -nonavigation /tmp/lyx_tmpdir5077QLoCkX/lyx_tmpbuf50778qpzk0/compaqevon115.tex
The translation was initiated by Paolo Subiaco on 2002-07-13